#include <iostream>
#include <cstdlib>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    long long n, u[10], v[10], r;
    string s[10];
    cin>>n;
    for(int i=1; i<n; i++){
        cin>>u[i]>>v[i]>>s[i];
    }
    r=rand()%n;
    cout<<r;
}